Index: /palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- /palm/trunk/SOURCE/salsa_mod.f90	(revision 4841)
+++ /palm/trunk/SOURCE/salsa_mod.f90	(revision 4842)
@@ -4367,10 +4380,10 @@
                        zcore / api6 )**0.33333333_wp
 !
-!--          Kelvin effect (Eq. 10.85 in in Seinfeld and Pandis (2006)). Avoid 
+!--          Kelvin effect (Eq. 10.85 in in Seinfeld and Pandis (2006)). Avoid
 !--          overflow.
              zke = EXP( MIN( 50.0_wp, 4.0_wp * surfw0 * amvh2so4 / ( abo * ptemp *  zdwet ) ) )
 
              counti = counti + 1
-             IF ( counti > 1000 )  THEN 
+             IF ( counti > 1000 )  THEN
                 message_string = 'Subrange 1: no convergence!'
                 CALL message( 'salsa_mod: equilibration', 'PA0617', 1, 2, 0, 6, 0 )
@@ -4378,5 +4391,5 @@
           ENDDO
 !
-!--       Instead of lwc, use the volume concentration of water from now on 
+!--       Instead of lwc, use the volume concentration of water from now on
 !--       (easy to convert...)
           paero(ib)%volc(8) = zlwc / arhoh2o
@@ -4438,5 +4451,5 @@
                              6.210577919E+1_wp * zaw**2 + 5.510176187E+2_wp * zaw**3 -             &
                              1.460055286E+3_wp * zaw**4 + 1.894467542E+3_wp * zaw**5 -             &
-                             1.220611402E+3_wp * zaw**6 + 3.098597737E+2_wp * zaw**7 
+                             1.220611402E+3_wp * zaw**6 + 3.098597737E+2_wp * zaw**7
 !--             Sea salt (natrium chloride)
                 zbinmol(5) = 5.875248E+1_wp - 1.8781997E+2_wp * zaw + 2.7211377E+2_wp * zaw**2 -   &
@@ -4457,5 +4470,5 @@
 
                 counti = counti + 1
-                IF ( counti > 1000 )  THEN 
+                IF ( counti > 1000 )  THEN
                    message_string = 'Subrange 2: no convergence!'
                 CALL message( 'salsa_mod: equilibration', 'PA0618', 1, 2, 0, 6, 0 )
@@ -4482,5 +4495,5 @@
 !> Description:
 !> ------------
-!> Calculation of the settling velocity vc (m/s) per aerosol size bin and 
+!> Calculation of the settling velocity vc (m/s) per aerosol size bin and
 !> deposition on plant canopy (lsdepo_pcm).
 !
@@ -4750,5 +4763,5 @@
 !> Calculate the dry deposition on horizontal and vertical surfaces. Implement
 !> as a surface flux.
-!> @todo aerodynamic resistance ignored for now (not important for 
+!> @todo aerodynamic resistance ignored for now (not important for
 !        high-resolution simulations)
 !------------------------------------------------------------------------------!
@@ -5010,10 +5023,10 @@
 ! ------------
 !> Calculates particle loss and change in size distribution due to (Brownian)
-!> coagulation. Only for particles with dwet < 30 micrometres. 
+!> coagulation. Only for particles with dwet < 30 micrometres.
 !
 !> Method:
 !> Semi-implicit, non-iterative method: (Jacobson, 1994)
 !> Volume concentrations of the smaller colliding particles added to the bin of
-!> the larger colliding particles. Start from first bin and use the updated 
+!> the larger colliding particles. Start from first bin and use the updated
 !> number and volume for calculation of following bins. NB! Our bin numbering
 !> does not follow particle size in subrange 2.
@@ -5028,5 +5041,5 @@
 !> Exact coagulation coefficients for each pressure level are scaled according
 !> to current particle wet size (linear scaling).
-!> Bins are organized in terms of the dry size of the condensation nucleus, 
+!> Bins are organized in terms of the dry size of the condensation nucleus,
 !> while coagulation kernell is calculated with the actual hydrometeor
 !> size.
@@ -5078,5 +5091,5 @@
 !--    CoagSink ~ Dp in continuum subrange --> 'effective' number conc. of coarse particles
 
-!-- 2) Updating coagulation coefficients 
+!-- 2) Updating coagulation coefficients
 !
 !-- Aerosol mass (kg). Density of 1500 kg/m3 assumed
@@ -5268,5 +5281,5 @@
     mfp = ( 1.656E-10_wp * temp + 1.828E-8_wp ) * ( p_0 + 1325.0_wp ) / pres
 !
-!-- 2) Slip correction factor for small particles 
+!-- 2) Slip correction factor for small particles
     knud = 2.0_wp * EXP( LOG(mfp) - LOG(diam) )! Knudsen number for air (15.23)
 !
@@ -5325,10 +5338,10 @@
 ! Description:
 ! ------------
-!> Calculates the change in particle volume and gas phase 
+!> Calculates the change in particle volume and gas phase
 !> concentrations due to nucleation, condensation and dissolutional growth.
 !
 !> Sulphuric acid and organic vapour: only condensation and no evaporation.
 !
-!> New gas and aerosol phase concentrations calculated according to Jacobson 
+!> New gas and aerosol phase concentrations calculated according to Jacobson
 !> (1997): Numerical techniques to solve condensational and dissolutional growth
 !> equations when growth is coupled to reversible reactions, Aerosol Sci. Tech.,
@@ -5336,5 +5349,5 @@
 !
 !> Following parameterization has been used:
-!> Molecular diffusion coefficient of condensing vapour (m2/s) 
+!> Molecular diffusion coefficient of condensing vapour (m2/s)
 !> (Reid et al. (1987): Properties of gases and liquids, McGraw-Hill, New York.)
 !> D = {1.d-7*sqrt(1/M_air + 1/M_gas)*T^1.75} / &
@@ -5343,5 +5356,5 @@
 !> d_air = 19.70  : diffusion volume of air
 !> M_h2so4 = 98.08 : molar mass of h2so4 (g/mol)
-!> d_h2so4 = 51.96  : diffusion volume of h2so4 
+!> d_h2so4 = 51.96  : diffusion volume of h2so4
 !
 !> Called from main aerosol model
@@ -5447,5 +5460,5 @@
        zknud(ss:ee) = 2.0_wp * zmfp / paero(ss:ee)%dwet
 !
-!--    Transitional correction factor: aerosol + gas (the semi-empirical Fuchs- Sutugin 
+!--    Transitional correction factor: aerosol + gas (the semi-empirical Fuchs- Sutugin
 !--    interpolation function (Fuchs and Sutugin, 1971))
        zbeta = ( zknud + 1.0_wp ) / ( 0.377_wp * zknud + 1.0_wp + 4.0_wp / ( 3.0_wp * massacc ) *  &
@@ -5459,5 +5472,5 @@
                  * paero(start_subrange_1a:start_subrange_1a+1)%dwet)
 !
-!--    Collision rate (mass-transfer coefficient): gases on aerosols (1/s) (Eq. 16.64 in 
+!--    Collision rate (mass-transfer coefficient): gases on aerosols (1/s) (Eq. 16.64 in
 !--    Jacobson (2005))
        ss = start_subrange_1a
@@ -5475,5 +5488,5 @@
 !--    5) Changes in gas-phase concentrations and particle volume
 !
-!--    5.1) Organic vapours 
+!--    5.1) Organic vapours
 !
 !--    5.1.1) Non-volatile organic compound: condenses onto all bins
@@ -5527,5 +5540,5 @@
 !
 !--       Change in gas concentration (#/m3)
-          zdvap3 = pcocsv - zcvap_new3 
+          zdvap3 = pcocsv - zcvap_new3
 !
 !--       Updated gas concentration (#/m3)
@@ -5590,5 +5603,5 @@
 !
 !-- Condensation of water vapour
-    IF ( lscndh2oae )  THEN 
+    IF ( lscndh2oae )  THEN
        CALL gpparth2o( paero, ptemp, ppres, pcs, pcw, ptstep )
     ENDIF
@@ -5600,5 +5613,5 @@
 ! ------------
 !> Calculates the particle number and volume increase, and gas-phase
-!> concentration decrease due to nucleation subsequent growth to detectable size 
+!> concentration decrease due to nucleation subsequent growth to detectable size
 !> of 3 nm.
 !
@@ -5659,5 +5672,5 @@
     REAL(wp) ::  zdelta_vap   !< change of H2SO4 and organic vapour concentration (#/m3)
     REAL(wp) ::  zdfvap       !< air diffusion coefficient (m2/s)
-    REAL(wp) ::  zdmean       !< mean diameter of existing particles (m) 
+    REAL(wp) ::  zdmean       !< mean diameter of existing particles (m)
     REAL(wp) ::  zeta         !< constant: proportional to ratio of CS/GR (m)
                               !< (condensation sink / growth rate)
@@ -5674,5 +5687,5 @@
     REAL(wp) ::  zlambda      !< parameter for adjusting the growth rate due to self-coagulation
     REAL(wp) ::  zm_c         !< particle mass (kg) for c = critical (1nm)
-    REAL(wp) ::  zm_para      !< Parameter m for calculating the coagulation sink (Eq. 5&6 in 
+    REAL(wp) ::  zm_para      !< Parameter m for calculating the coagulation sink (Eq. 5&6 in
                               !< Lehtinen et al. 2007)
     REAL(wp) ::  zm_x         !< particle mass (kg) for x = 3nm
@@ -5684,5 +5697,5 @@
     REAL(wp) ::  znsa         !< number of H2SO4 molecules in critical cluster
 
-    REAL(wp), INTENT(in) ::  pc_nh3   !< ammonia concentration (#/m3) 
+    REAL(wp), INTENT(in) ::  pc_nh3   !< ammonia concentration (#/m3)
     REAL(wp), INTENT(in) ::  pc_ocnv  !< conc. of non-volatile OC (#/m3)
     REAL(wp), INTENT(in) ::  pc_sa    !< sulphuric acid conc. (#/m3)
@@ -5812,5 +5825,5 @@
           znsa    = 1.0_wp
 !
-!--    Heteromolecular nucleation, J~[H2SO4]*[ORG] 
+!--    Heteromolecular nucleation, J~[H2SO4]*[ORG]
 !--    (See Paasonen et al. (2010), Atmos. Chem. Phys., 10, 11223-11242.)
        CASE(7)
@@ -5864,5 +5877,5 @@
 !
 !-- 2.1) Check that there is enough H2SO4 and organic vapour to produce the nucleation
-    IF ( nsnucl <= 4 )  THEN 
+    IF ( nsnucl <= 4 )  THEN
 !
 !--    If the chosen nucleation scheme is 1-4, nucleation occurs only due to H2SO4. All of the total
@@ -5881,5 +5894,5 @@
           pxocnv = 0.0_wp
        ELSE
-          pxsa   = pc_sa * znsa / ( pc_sa * znsa + pc_ocnv * znoc ) 
+          pxsa   = pc_sa * znsa / ( pc_sa * znsa + pc_ocnv * znoc )
           pxocnv = pc_ocnv * znoc / ( pc_sa * znsa + pc_ocnv * znoc )
        ENDIF
@@ -6009,5 +6022,5 @@
                    ( 3.0_wp * z_r_c2 * zgamma_f_2 ) - z_r_c2
        zomega_2x = ( ( z_r_x2 + zgamma_f_2 )**3 - ( z_r_x2**2 + zgamma_f_2 )**1.5_wp ) /           &
-                   ( 3.0_wp * z_r_x2 * zgamma_f_2 ) - z_r_x2 
+                   ( 3.0_wp * z_r_x2 * zgamma_f_2 ) - z_r_x2
 !
 !--    The distance (m) at which the two fluxes are matched (condensation and coagulation sinks)
@@ -6025,5 +6038,5 @@
        zcoags_x = MAX( 1.0E-20_wp, SUM( z_k_x2 * paero(:)%numc ) )
 !
-!--    Parameter m for calculating the coagulation sink onto background particles (Eq. 5&6 in 
+!--    Parameter m for calculating the coagulation sink onto background particles (Eq. 5&6 in
 !--    Lehtinen et al. 2007)
        zm_para = LOG( zcoags_x / zcoags_c ) / LOG( reglim(1) / zdcrit )
@@ -6041,5 +6054,5 @@
        ELSEIF ( nj3 == 3 )  THEN  ! Anttila et al. (2010): coagulation sink and self-coag.
 !
-!--       If air is polluted, the self-coagulation becomes important. Self-coagulation of small 
+!--       If air is polluted, the self-coagulation becomes important. Self-coagulation of small
 !--       particles < 3 nm.
 !
@@ -6198,8 +6211,8 @@
 !
 !-- Nucleation rate in #/(cm3 s)
-    pnuc_rate = EXP( pnuc_rate ) 
+    pnuc_rate = EXP( pnuc_rate )
 !
 !-- Check the validity of parameterization
-    IF ( pnuc_rate < 1.0E-7_wp )  THEN 
+    IF ( pnuc_rate < 1.0E-7_wp )  THEN
        pnuc_rate = 0.0_wp
        pd_crit   = 1.0E-9_wp
@@ -6252,5 +6265,5 @@
 !
 !-- 6) Organic compounds not involved when binary nucleation is assumed
-    pn_crit_ocnv = 0.0_wp   ! number of organic molecules 
+    pn_crit_ocnv = 0.0_wp   ! number of organic molecules
     pk_sa        = 1.0_wp   ! if = 1, H2SO4 involved in nucleation
     pk_ocnv      = 0.0_wp   ! if = 1, organic compounds involved
@@ -6299,5 +6312,5 @@
 
  END SUBROUTINE binnucl
- 
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -6353,5 +6366,5 @@
     zlogsa  = LOG( pc_sa )
 !
-!-- 2) Nucleation rate (Eq. 7 in Napari et al., 2002: Parameterization of 
+!-- 2) Nucleation rate (Eq. 7 in Napari et al., 2002: Parameterization of
 !--    ternary nucleation of sulfuric acid - ammonia - water.
     zlnj = - 84.7551114741543_wp + 0.3117595133628944_wp * prh +                                   &
@@ -6461,7 +6474,7 @@
 ! Description:
 ! ------------
-!> Function z_n_nuc_tayl is connected to the calculation of self-coagualtion of 
+!> Function z_n_nuc_tayl is connected to the calculation of self-coagualtion of
 !> small particles. It calculates number of the particles in the size range
-!> [zdcrit,dx] using Taylor-expansion (please note that the expansion is not 
+!> [zdcrit,dx] using Taylor-expansion (please note that the expansion is not
 !> valid for certain rational numbers, e.g. -4/3 and -3/2)
 !------------------------------------------------------------------------------!
@@ -6506,7 +6519,7 @@
 ! Description:
 ! ------------
-!> Calculates the condensation of water vapour on aerosol particles. Follows the 
+!> Calculates the condensation of water vapour on aerosol particles. Follows the
 !> analytical predictor method by Jacobson (2005).
-!> For equations, see Jacobson (2005), Fundamentals of atmospheric modelling 
+!> For equations, see Jacobson (2005), Fundamentals of atmospheric modelling
 !> (2nd edition).
 !------------------------------------------------------------------------------!
@@ -6690,5 +6703,5 @@
 ! Description:
 ! ------------
-!> Calculates the activity coefficient of liquid water 
+!> Calculates the activity coefficient of liquid water
 !------------------------------------------------------------------------------!
  REAL(wp) FUNCTION acth2o( ppart, pcw )
@@ -6723,13 +6736,13 @@
 ! Description:
 ! ------------
-!> Calculates the dissolutional growth of particles (i.e. gas transfers to a 
-!> particle surface and dissolves in liquid water on the surface). Treated here 
-!> as a non-equilibrium (time-dependent) process. Gases: HNO3 and NH3 
+!> Calculates the dissolutional growth of particles (i.e. gas transfers to a
+!> particle surface and dissolves in liquid water on the surface). Treated here
+!> as a non-equilibrium (time-dependent) process. Gases: HNO3 and NH3
 !> (Chapter 17.14 in Jacobson, 2005).
 !
-!> Called from subroutine condensation. 
+!> Called from subroutine condensation.
 !> Coded by:
 !> Harri Kokkola (FMI)
-!------------------------------------------------------------------------------! 
+!------------------------------------------------------------------------------!
  SUBROUTINE gpparthno3( ppres, ptemp, paero, pghno3, pgnh3, pcw, pcs, pbeta, ptstep )
 
@@ -7270,9 +7283,9 @@
                                          !< 1: HNO3, 2: HCL, 3: NH4+/H+ (NH3), 4: HHSO4**2/H2SO4,
                                          !< 5: H2SO4**3/HHSO4**2, 6: NH4HSO2, 7: HHSO4
-    REAL(wp), DIMENSION(:) ::  ions      !< ion molarities (mol/m3): 1: H+, 2: NH4+, 3: Na+, 
+    REAL(wp), DIMENSION(:) ::  ions      !< ion molarities (mol/m3): 1: H+, 2: NH4+, 3: Na+,
                                          !< 4: SO4(2-), 5: HSO4-, 6: NO3-, 7: Cl-
-    REAL(wp), DIMENSION(7) ::  ions_mol  !< ion molalities (mol/kg): 1: H+, 2: NH4+, 3: Na+, 
+    REAL(wp), DIMENSION(7) ::  ions_mol  !< ion molalities (mol/kg): 1: H+, 2: NH4+, 3: Na+,
                                          !< 4: SO4(2-), 5: HSO4-, 6: NO3-, 7: Cl-
-    REAL(wp), DIMENSION(:) ::  mols_out  !< ion molality output (mol/kg): 1: H+, 2: NH4+, 3: Na+, 
+    REAL(wp), DIMENSION(:) ::  mols_out  !< ion molality output (mol/kg): 1: H+, 2: NH4+, 3: Na+,
                                          !< 4: SO4(2-), 5: HSO4-, 6: NO3-, 7: Cl-
 !
@@ -7560,5 +7573,5 @@
                       sodium_nitrate_eq_frac * nano3_h2so4 + sodium_chloride_eq_frac * nacl_h2so4
 
-       gamma_h2so4 = EXP( ln_h2so4_act )    ! molal activity coefficient 
+       gamma_h2so4 = EXP( ln_h2so4_act )    ! molal activity coefficient
 !
 !--    Export activity coefficients
@@ -7589,5 +7602,5 @@
        ENDIF
 !
-!--    Calculate the new hydrogen ion, bisulphate ion and sulphate ion 
+!--    Calculate the new hydrogen ion, bisulphate ion and sulphate ion
 !--    concentration
        h_real    = ions(1)
@@ -7615,7 +7628,7 @@
 !-- 4) ACTIVITY COEFFICIENTS -for vapour pressures of HNO3,HCL and NH3
 !
-!-- This section evaluates activity coefficients and vapour pressures using the water content 
+!-- This section evaluates activity coefficients and vapour pressures using the water content
 !-- calculated above) for each inorganic condensing species: a - HNO3, b - NH3, c - HCL.
-!-- The following procedure is used: Zaveri et al (2005) found that one could express the variation 
+!-- The following procedure is used: Zaveri et al (2005) found that one could express the variation
 !-- of activity coefficients linearly in log-space if equivalent mole fractions were used.
 !-- So, by a taylor series expansion LOG( activity coefficient ) =
@@ -7927,11 +7940,11 @@
 !> Update the particle size distribution. Put particles into corrects bins.
 !>
-!> Moving-centre method assumed, i.e. particles are allowed to grow to their 
-!> exact size as long as they are not crossing the fixed diameter bin limits. 
-!> If the particles in a size bin cross the lower or upper diameter limit, they 
+!> Moving-centre method assumed, i.e. particles are allowed to grow to their
+!> exact size as long as they are not crossing the fixed diameter bin limits.
+!> If the particles in a size bin cross the lower or upper diameter limit, they
 !> are all moved to the adjacent diameter bin and their volume is averaged with
-!> the particles in the new bin, which then get a new diameter. 
-!
-!> Moving-centre method minimises numerical diffusion. 
+!> the particles in the new bin, which then get a new diameter.
+!
+!> Moving-centre method minimises numerical diffusion.
 !------------------------------------------------------------------------------!
  SUBROUTINE distr_update( paero )
@@ -7996,6 +8009,6 @@
 !
 !--          If size bin has not grown, cycle.
-!--          Changed by Mona: compare to the arithmetic mean volume, as done originally. Now 
-!--          particle volume is derived from the geometric mean diameter, not arithmetic (see 
+!--          Changed by Mona: compare to the arithmetic mean volume, as done originally. Now
+!--          particle volume is derived from the geometric mean diameter, not arithmetic (see
 !--          SUBROUTINE set_sizebins).
              IF ( zvpart <= api6 * ( ( aero(ib)%vhilim + aero(ib)%vlolim ) / ( 2.0_wp * api6 ) ) ) &
@@ -9537,7 +9550,7 @@
     REAL(wp), DIMENSION(:), INTENT(out) ::  mconc  !< total dry or wet mass concentration
 
-!-- Number of components 
+!-- Number of components
     IF ( itype == 'dry' )  THEN
-       iend = prtcl%ncomp - 1 
+       iend = prtcl%ncomp - 1
     ELSE IF ( itype == 'wet' )  THEN
        iend = prtcl%ncomp
@@ -10027,5 +10040,5 @@
                    message_string = 'end_time of the simulation exceeds the time dimension in ' // &
                                     'the salsa input file.'
-                   CALL message( 'salsa_emission_setup', 'PA0692', 1, 2, 0, 6, 0 ) 
+                   CALL message( 'salsa_emission_setup', 'PA0692', 1, 2, 0, 6, 0 )
                 ENDIF
 !
@@ -10093,5 +10106,5 @@
                 inn = def_modes%cat_input_to_model(in)
 !
-!--             Calculate the number concentration (1/m3) of a log-normal size distribution 
+!--             Calculate the number concentration (1/m3) of a log-normal size distribution
 !--             following Jacobson (2005): Eq 13.25.
                 def_modes%ntot_table = 6.0_wp * def_modes%pm_frac_table(:,inn) / ( pi *            &
@@ -10643,5 +10656,5 @@
                                           MAX( time_since_reference_point, 0.0_wp ) ), DIM = 1 ) - 1
 !
-!--    Allocate the data input array always before reading in the data and deallocate after (NOTE 
+!--    Allocate the data input array always before reading in the data and deallocate after (NOTE
 !--    that "preprocessed" input data array is applied now here)
        ALLOCATE( dum_var_5d(1,1,nys:nyn,nxl:nxr,1:chem_emission_att%n_emiss_species) )
@@ -11762,5 +11775,5 @@
 !
 !--                         Diameter in micrometres
-                            mean_d = 1.0E+6_wp * ra_dry(k,j,i,ib) * 2.0_wp 
+                            mean_d = 1.0E+6_wp * ra_dry(k,j,i,ib) * 2.0_wp
 !
 !--                         Deposition factor: alveolar
@@ -12112,5 +12125,5 @@
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = MERGE( nbins_av(k,j,i,ib), REAL( fill_value, KIND = wp ),  &
-                                               BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                               BTEST( wall_flags_total_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -12146,5 +12159,5 @@
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = MERGE( mbins_av(k,j,i,ib), REAL( fill_value, KIND = wp ),  &
-                                               BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                               BTEST( wall_flags_total_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -12225,5 +12238,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( ldsa_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -12256,5 +12269,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( nufp_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -12285,5 +12298,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( ntot_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -12305,5 +12318,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -12318,5 +12331,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( pm01_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -12338,5 +12351,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -12351,5 +12364,5 @@
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = MERGE( pm25_av(k,j,i), REAL( fill_value, KIND = wp ),   &
-                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -12371,5 +12384,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -12402,5 +12415,5 @@
                             ENDDO
                             local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),      &
-                                                     BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                                     BTEST( wall_flags_total_0(k,j,i), 0 ) )
                          ENDDO
                       ENDDO
@@ -12434,5 +12447,5 @@
                          ENDDO
                          local_pf(i,j,k) = MERGE( temp_bin, REAL( fill_value, KIND = wp ),         &
-                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) ) 
+                                                  BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -12585,5 +12598,5 @@
                    ENDDO
                 ENDDO
-             ELSE 
+             ELSE
                 DO  i = 1, mask_size_l(mid,1)
                    DO  j = 1, mask_size_l(mid,2)
@@ -12666,5 +12679,5 @@
                       ENDDO
                    ENDDO
-                ELSE 
+                ELSE
                    DO  i = 1, mask_size_l(mid,1)
                       DO  j = 1, mask_size_l(mid,2)
@@ -12755,5 +12768,5 @@
                       ENDDO
                    ENDDO
-                ENDDO 
+                ENDDO
                 IF ( .NOT. mask_surface(mid) )  THEN
                    DO  i = 1, mask_size_l(mid,1)
@@ -12764,5 +12777,5 @@
                       ENDDO
                    ENDDO
-                ELSE 
+                ELSE
                    DO  i = 1, mask_size_l(mid,1)
                       DO  j = 1, mask_size_l(mid,2)
@@ -12807,5 +12820,5 @@
                       ENDDO
                    ENDDO
-                ENDDO 
+                ENDDO
                 IF ( .NOT. mask_surface(mid) )  THEN
                    DO  i = 1, mask_size_l(mid,1)
@@ -12816,5 +12829,5 @@
                       ENDDO
                    ENDDO
-                ELSE 
+                ELSE
                    DO  i = 1, mask_size_l(mid,1)
                       DO  j = 1, mask_size_l(mid,2)
@@ -12868,5 +12881,5 @@
                       ENDDO
                    ENDDO
-                ELSE 
+                ELSE
                    DO  i = 1, mask_size_l(mid,1)
                       DO  j = 1, mask_size_l(mid,2)
@@ -12911,5 +12924,5 @@
                       ENDDO
                    ENDDO
-                ENDDO 
+                ENDDO
                 IF ( .NOT. mask_surface(mid) )  THEN
                    DO  i = 1, mask_size_l(mid,1)
@@ -12920,5 +12933,5 @@
                       ENDDO
                    ENDDO
-                ELSE 
+                ELSE
                    DO  i = 1, mask_size_l(mid,1)
                       DO  j = 1, mask_size_l(mid,2)
@@ -13098,5 +13111,5 @@
 ! Description:
 ! ------------
-!> Creates index tables for different (aerosol) components 
+!> Creates index tables for different (aerosol) components
 !------------------------------------------------------------------------------!
  SUBROUTINE component_index_constructor( self, ncomp, nlist, listcomp )
@@ -13583,5 +13596,5 @@
           message_string = 'end_time of the simulation exceeds the time dimension in the dynamic'//&
                            ' input file.'
-          CALL message( 'salsa_nesting_offl_init', 'PA0690', 1, 2, 0, 6, 0 ) 
+          CALL message( 'salsa_nesting_offl_init', 'PA0690', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -13747,5 +13760,5 @@
           CALL message( 'salsa_mod: salsa_nesting_offl_input', 'PA0693', 2, 2, 0, 6, 0 )
        ENDIF
-       
+
        CALL close_input_file( salsa_nest_offl%id_dynamic )
 #endif
